Loading...
Searching...
No Matches
BALL::EmpiricalHSShiftProcessor::PropertiesForShift_ Class Reference

`#include <BALL/NMR/empiricalHSShiftProcessor.h>`

## Public Member Functions

| PropertiesForShift_ (int verbosity_=EmpiricalHSShiftProcessor::VERBOSITY_LEVEL_CRITICAL)
bool | computeProperties_ (Atom *atom, std::set< String > properties)
std::pair< float, String > | operator[] (const String &property_name)

## Static Public Member Functions

static bool | isDiscrete (String property)
static bool | isMixed (String property)

## Public Attributes

Atom * | current_atom

## Protected Member Functions

float | getChiAngle_ (Residue *residue)
float | getChi2Angle_ (Residue *residue)
char | getAminoAcid_ (Residue *residue)
char | getSecondaryStructure_ (Residue *residue)
float | getHA_HBondLen_ (Residue *residue)
float | getHA2_HBondLen_ (Residue *residue)
float | getHN_HBondLen_ (Residue *residue)
float | getO_HBondLen_ (Residue *residue)
bool | hasDisulfidBond_ (Residue *residue)
bool | hasHA_HBond_ (Residue *residue)
bool | hasHA2_HBond_ (Residue *residue)
bool | hasHN_HBond_ (Residue *residue)
bool | hasO_HBond_ (Residue *residue)

## Protected Attributes

std::map< String, float > | properties_real_
std::map< String, String > | properties_string_

## Detailed Description

Definition at line 195 of file empiricalHSShiftProcessor.h.

## Constructor & Destructor Documentation

## PropertiesForShift_()

BALL::EmpiricalHSShiftProcessor::PropertiesForShift_::PropertiesForShift_ | ( | int | verbosity_ = EmpiricalHSShiftProcessor::VERBOSITY_LEVEL_CRITICAL | ) |

Default constructor.

## Member Function Documentation

## computeProperties_()

bool BALL::EmpiricalHSShiftProcessor::PropertiesForShift_::computeProperties_ | ( | Atom * | atom,
|  | std::set< String > | properties )

Method to set the atom and to compute all atom's properites as specified in the given set {\tt properties}. The property values are stored either in the map {\tt properties_real_} with property type as key or in the map {\tt properties_string_} with property type as key. The values can be accessed via the operator [] given the property type. The angles are given in the range (-180, 180). Note: In case of property type CHI, numerical and alphanumeric values are possible: x e(-180,180) or x e {"ALA", "GLY", "Unknown"} If a certain property value is not available, the property gets the predefined values FLOAT_VALUE_NA or STRING_VALUE_NA. This is needed, to access the default values of the hypersurfaces.

The method fails if the atom does not belong to a residue.

Returns
  bool, false if !a->getResidue()

## getAminoAcid_()

char BALL::EmpiricalHSShiftProcessor::PropertiesForShift_::getAminoAcid_ | ( | Residue * | residue | ) |

protected

## getChi2Angle_()

float BALL::EmpiricalHSShiftProcessor::PropertiesForShift_::getChi2Angle_ | ( | Residue * | residue | ) |

protected

## getChiAngle_()

float BALL::EmpiricalHSShiftProcessor::PropertiesForShift_::getChiAngle_ | ( | Residue * | residue | ) |

protected

## getHA2_HBondLen_()

float BALL::EmpiricalHSShiftProcessor::PropertiesForShift_::getHA2_HBondLen_ | ( | Residue * | residue | ) |

protected

## getHA_HBondLen_()

float BALL::EmpiricalHSShiftProcessor::PropertiesForShift_::getHA_HBondLen_ | ( | Residue * | residue | ) |

protected

## getHN_HBondLen_()

float BALL::EmpiricalHSShiftProcessor::PropertiesForShift_::getHN_HBondLen_ | ( | Residue * | residue | ) |

protected

## getO_HBondLen_()

float BALL::EmpiricalHSShiftProcessor::PropertiesForShift_::getO_HBondLen_ | ( | Residue * | residue | ) |

protected

## getSecondaryStructure_()

char BALL::EmpiricalHSShiftProcessor::PropertiesForShift_::getSecondaryStructure_ | ( | Residue * | residue | ) |

protected

## hasDisulfidBond_()

bool BALL::EmpiricalHSShiftProcessor::PropertiesForShift_::hasDisulfidBond_ | ( | Residue * | residue | ) |

protected

## hasHA2_HBond_()

bool BALL::EmpiricalHSShiftProcessor::PropertiesForShift_::hasHA2_HBond_ | ( | Residue * | residue | ) |

protected

## hasHA_HBond_()

bool BALL::EmpiricalHSShiftProcessor::PropertiesForShift_::hasHA_HBond_ | ( | Residue * | residue | ) |

protected

## hasHN_HBond_()

bool BALL::EmpiricalHSShiftProcessor::PropertiesForShift_::hasHN_HBond_ | ( | Residue * | residue | ) |

protected

## hasO_HBond_()

bool BALL::EmpiricalHSShiftProcessor::PropertiesForShift_::hasO_HBond_ | ( | Residue * | residue | ) |

protected

## isDiscrete()

bool BALL::EmpiricalHSShiftProcessor::PropertiesForShift_::isDiscrete | ( | String | property | ) |

static

Method to check the type of a property.

Returns
  bool, false if property is of type "PSI" || "PHI" || "HA2L" || "HA1L" || "HNL" || "OHL"|| "CHI"

## isMixed()

bool BALL::EmpiricalHSShiftProcessor::PropertiesForShift_::isMixed | ( | String | property | ) |

static

Method to check the type of a property.

Returns
  bool, false if property != "CHI" || "CHI2"

## operator[]()

std::pair< float, String > BALL::EmpiricalHSShiftProcessor::PropertiesForShift_::operator[] | ( | const String & | property_name | ) |

Method to obtain a property's value. A std::pair<float, String> is returned, such that the first element is std::numeric_limits<float>::min() if it is a alphanumeric/discrete property value the second element is the string "invalid" if it is a numeric property value. NOTE: make sure, that all properties (except from CHI) are stored either in properties_real_ or in properties_string_ otherwise the operator is not able to return the correct value!

Returns
  pair<float, String>

## Member Data Documentation

## current_atom

Atom* BALL::EmpiricalHSShiftProcessor::PropertiesForShift_::current_atom

A pointer to the atom, whose properties are computed and stored.

Definition at line 205 of file empiricalHSShiftProcessor.h.

## properties_real_

std::map<String, float> BALL::EmpiricalHSShiftProcessor::PropertiesForShift_::properties_real_

protected

Definition at line 253 of file empiricalHSShiftProcessor.h.

## properties_string_

std::map<String, String> BALL::EmpiricalHSShiftProcessor::PropertiesForShift_::properties_string_

protected

Definition at line 255 of file empiricalHSShiftProcessor.h.